Flashcard Plugin

So, I’ve been using this plugin: http://wordpress.org/extend/plugins/flashcard/, for a while for flashcards on a number of websites. Unfortunately, a recent version of WordPress (which I believe updated jQuery) seems to have broken this plugin (i.e., it functions on the frontend, but doesn’t on the backend). A quick search found only one other real contender for a flashcard plugin (i.e., http://slidervilla.com/flashcard/), but that isn’t quite what I want (I much prefer the first plugin).

Anyone know of a good flashcard plugin for WordPress? or (for the more adventurous) know how to fix the first plugin I linked?

  • Brian Purkiss
    • Smushie Pies

    I am not aware of any other such plugins.

    You can manually tell WordPress which version of jQuery to use with the following snippet. So if the issue is just a different version of jQuery, you should be able to use this to use the needed version.

    Add the following to your functions.php.

    // remove WordPress jQuery and switch to Google jQuery
    if( !is_admin()){
    wp_deregister_script('jquery');
    wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"), false, '1.8.2');
    wp_enqueue_script('jquery');
    }
    add_action( 'wp_print_styles', 'custom_remove_subcss' );
    function custom_remove_subcss() {
    wp_dequeue_style('subscriptionformcss');
    }

    And change the URL and the version number appropriately.

  • Zyniker
    • WordPress Warrior

    Unfortunately, switching the jQuery version seems not to have fixed the issue. I guess it’s something more complicated than just a jQuery conflict. The plugin still functions correctly on the frontend, but it makes certain sections of the backend unusable (e.g., the Membership settings area).

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.